timelineTake (1-20) ใน body เพื่อให้แต่ละดีลมี timeline แบบเดียวกับ Get Deal ?timelineTake (ดูตาราง status และ field ในหน้า Get Deal)pageLength ไม่เกิน 50 · เกินได้ 400 เพราะแต่ละดีลเรียกข้อมูล 1 ครั้ง0 = ไม่มี timeline และ response เหมือนเดิมtimeline: [] แต่รายการดีลยังกลับมาครบtimelineTake)#dateLastFollowUp (ติดตามล่าสุด), dateLastStageChange (เปลี่ยน stage ล่าสุด), dateLastTimeline (รายการล่าสุดใน timeline), dateLastDealsState (วันที่ของ lastDealsState) · วันนัดติดตามครั้งถัดไปคือ dateFollowUp เดิม{ "pageLength": 20, "skip": 0, "timelineTake": 5 }Authorization: Bearer ********************{
"pageLength": 10,
"dealStageIds": [
1
],
"keyword": "string",
"skip": 3,
"orderBy": "string"
}curl --location 'https://api.gofive.co.th/v1/deals/enquiry' \
--header 'Ocp-Apim-Subscription-Key: <Your-Subscription-Key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"pageLength": 10,
"dealStageIds": [
1
],
"keyword": "string",
"skip": 3,
"orderBy": "string"
}'{
"data": {
"value": [
{
"lastDealsState": {
"stateNameTH": "string",
"stateNameEN": "string"
},
"labelName": "string",
"isEdit": true,
"dealsId": 1,
"dealNo": "string",
"dealsName": "string",
"customerId": 1,
"customerName": "string",
"customerCode": "string",
"dealsValue": 456,
"statusId": 1,
"statusName": "string",
"effectiveDate": "2026-03-01T00:00:00+0700",
"closeDate": null,
"calTargetDate": "2027-02-15T00:00:00+0700",
"aiProbability": 60,
"aiExpectedCloseDate": "2027-02-15T00:00:00+0700",
"aiDateAnalyzed": "2026-03-23T17:07:55+0700",
"notes": "string",
"dealQuantity": 456,
"quantity": 456,
"dealMeasure": 3,
"dealMeasureUnit": {
"unitId": 3,
"name": "ด้าม",
"companyId": 1,
"isActive": true,
"createdByUserId": "string",
"dateCreated": "2019-12-11T11:09:01+0700",
"modifiedByUserId": "string",
"dateModified": "2019-12-11T11:09:01+0700"
},
"measure": 3,
"measureUnit": {
"unitId": 3,
"name": "ด้าม",
"companyId": 1,
"isActive": true,
"createdByUserId": "string",
"dateCreated": "2019-12-11T11:09:01+0700",
"modifiedByUserId": "string",
"dateModified": "2019-12-11T11:09:01+0700"
},
"probability": 100,
"assignToUserId": "string",
"assignToUser": {
"userId": "string",
"fullname": "string",
"dateCreated": "2018-11-05T10:13:59+0700",
"dateModified": "2023-01-13T10:26:26+0700",
"level": 0
},
"dealsDate": "2023-01-17T13:22:52+0700",
"expectedCloseDate": "2023-01-17T13:22:52+0700",
"dateCreated": "2023-01-17T13:24:16+0700",
"createByUserId": "string",
"dateModified": "2023-01-17T15:18:36+0700",
"modifiedByUserId": "string",
"pictureUrl": "string",
"timeline": [
{
"status": 1412,
"statusName": "LinkActivityDealState",
"logType": 270007,
"logTypeName": "Deal",
"actionText": "แอดมิน ยูเอที ผูกดีลกับกิจกรรม ACTIVITY260800089 test check-in",
"actionTextEn": "แอดมิน ยูเอที Linked deal with activity ACTIVITY260800089 test check-in",
"id": 99400,
"dealsStateId": 427979,
"userId": "string",
"userFullname": "แอดมิน ยูเอที",
"isSystem": false,
"dateAction": "2026-08-29T22:11:00+0700",
"comment": "test checkin",
"reason": null,
"dealStageName": null,
"dealCategoryName": null,
"dateFollowUp": null,
"fromBoardName": null,
"toBoardName": null,
"ref": {
"type": "Activity",
"id": 925444,
"no": "ACTIVITY260800089",
"title": "test check-in",
"statusId": null,
"statusName": null,
"amount": null,
"currencySymbol": null,
"date": "2026-08-30T10:00:00+0700",
"dateEnd": "2026-08-30T11:00:00+0700",
"contactName": null,
"conversationType": null,
"conversationTypeName": null,
"subType": null,
"subTypeName": null,
"outCome": null,
"outComeName": null,
"qualification": null,
"qualificationName": null
},
"assignedUsers": null,
"unassignedUsers": null
}
],
"dateLastFollowUp": "2026-09-23T17:52:34+0700",
"dateLastStageChange": "2026-08-26T13:43:49+0700",
"dateLastTimeline": "2026-09-23T17:52:34+0700",
"dateLastDealsState": "2026-09-23T17:52:34+0700"
}
],
"statusCode": 200
},
"statusCode": 1000,
"httpStatusCode": 200
}